Package org.springframework.web.util

# Class NestedServletException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.util.NestedServletException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="6.0") public class NestedServletException extends ServletException
Deprecated.
as of 6.0, in favor of standard `ServletException` nesting
Legacy subclass of `ServletException` that handles a root cause in terms of message and stacktrace.

Since:
  1.2.5
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NestedServletException(String msg)`
Deprecated.
Construct a `NestedServletException` with the specified detail message.
`NestedServletException(String msg, Throwable cause)`
Deprecated.
Construct a `NestedServletException` with the specified detail message and nested exception.

## Method Summary

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NestedServletException

public NestedServletException(String msg)
Deprecated.
Construct a `NestedServletException` with the specified detail message.

Parameters:
  `msg` - the detail message

### NestedServletException

public NestedServletException(@Nullable String msg, @Nullable Throwable cause)
Deprecated.
Construct a `NestedServletException` with the specified detail message and nested exception.

Parameters:
  `msg` - the detail message
  `cause` - the nested exception